///
/// Solid State by HTML5 UP
/// html5up.net | @ajlkn
/// Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
///
/*
 * Presenter Club - Make Great Presentations, Faster
 * Copyright (C) 2016 Sam Parkinson <sam@sam.today>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


/* Form */

form {
    margin: 0 0 _size(element-margin) 0;

    > :last-child {
        margin-bottom: 0;
    }
}

label {
    color: _palette(fg-bold);
    display: block;
    font-family: _font(family-heading);
    font-size: 0.8em;
    font-weight: _font(weight-heading-bold);
    letter-spacing: _font(kern-heading);
    margin: 0 0 (_size(element-margin) * 0.35) 0;
    text-transform: uppercase;
}

input[type="text"],
input[type="password"],
input[type="email"],
input[type="tel"],
select,
textarea {
    @include vendor('appearance', 'none');
    background: _palette(border-bg);
    border-radius: _size(border-radius);
    border: none;
    border: solid 2px _palette(border);
    color: inherit;
    display: block;
    outline: 0;
    padding: 0 1em;
    text-decoration: none;
    width: 100%;

    &:focus {
        border-color: desaturate(lighten(_palette(accent), 6), 3);
    }

    &:disabled {
        border-color: fade-in(_palette(border), 0.25);
        background: fade-in(_palette(border-bg), 0.25);
    }
}

input[type="text"],
input[type="password"],
input[type="email"],
select {
    height: _size(element-height);
}

.Select__wrapper:after {
    display: block;
    margin-top: -2.125em;
    margin-left: calc(100% - 2em);

    content: '';  // DOWN Arrow
    font-family: 'fontello' !important;
    color: _palette(border);
}

textarea {
    padding: 0.75em 1em;
}

.errorlist {
    list-style: none;
    border-bottom: 1px dotted rgba(255, 0, 0, 0.35);
}


input[type="range"] {
    // FF bug means that otherwise they are invisible:
    background: transparent;
}
